Update configured Azure Resources types
curl --request PUT \
--url https://api.getcortexapp.com/api/v1/azure-resources/types \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"types": [
{
"enabled": true,
"type": "microsoft.policyinsights/policyevents"
}
]
}
'import requests
url = "https://api.getcortexapp.com/api/v1/azure-resources/types"
payload = { "types": [
{
"enabled": True,
"type": "microsoft.policyinsights/policyevents"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({types: [{enabled: true, type: 'microsoft.policyinsights/policyevents'}]})
};
fetch('https://api.getcortexapp.com/api/v1/azure-resources/types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"page": 123,
"total": 123,
"totalPages": 123,
"types": [
{
"enabled": true,
"type": "microsoft.policyinsights/policyevents"
}
]
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Update configured Azure Resources types
PUT
/
api
/
v1
/
azure-resources
/
types
Update configured Azure Resources types
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Body
application/json
List of Azure Resources types and whether they're configured to be discovered and imported into the catalogs
Show child attributes
Show child attributes
Response
Successfully replaced Azure Resources types
If there are more pages
Number of page
Total number of Azure Resources types
Total number of pages
List of Azure Resources types and whether they're configured to be discovered and imported into the catalogs
Show child attributes
Show child attributes
Last modified on September 29, 2026